org.apache.ignite.internal.util.lang

## Class GridAbsClosure

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridAbsClosure

All Implemented Interfaces:
  Serializable, Runnable, IgniteRunnable

Direct Known Subclasses:
  CA, GridAbsClosureX, NoOpClosure, RunnableWrapperClosure

    public abstract class GridAbsClosure
    extends Object
    implements IgniteRunnable

Defines a convenient absolute, i.e. `no-arg` and `no return value` closure. This closure that has `void` return type and no arguments (free variables).

## Thread Safety

Note that this interface does not impose or assume any specific thread-safety by its implementations. Each implementation can elect what type of thread-safety it provides, if any.

Note that this class implements `ComputeJob` interface for convenience and can be used in `ComputeTask` implementations directly, if needed, as an alternative to `ComputeJobAdapter`.

See Also:
  `GridFunc`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridAbsClosure()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `apply()` Absolute closure body.
`void` `run()` Delegates to `apply()` method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridAbsClosure

    public GridAbsClosure()

### Method Detail

#### apply

    public abstract void apply()

Absolute closure body.

#### run

    public final void run()

Delegates to `apply()` method.

Specified by:
  `run` in interface `Runnable`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018